Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057556 - Java AWT trayicon menu not displayed on right click
Summary: Java AWT trayicon menu not displayed on right click
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 10:50 UTC by tom.jenkinson
Modified: 2015-06-29 14:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:43:43 UTC


Attachments (Terms of Use)
The java source code (deleted)
2014-01-24 10:50 UTC, tom.jenkinson
no flags Details
A simple png (deleted)
2014-01-24 10:50 UTC, tom.jenkinson
no flags Details

Description tom.jenkinson 2014-01-24 10:50:11 UTC
Created attachment 854888 [details]
The java source code

Description of problem:

When attempting to use a tray icon AWT application in GNOME shell, the tray icon menu is not accessible when you right-click on it. 

Topicons extension enabled to get the actual tray icon into view.

Version-Release number of selected component (if applicable):

Fedora 20
Name        : gnome-shell
Arch        : x86_64
Version     : 3.10.3
Release     : 1.fc20

Name        : java-1.7.0-openjdk
Arch        : x86_64
Epoch       : 1
Version     : 1.7.0.60
Release     : 2.4.4.1.fc20

How reproducible:

Always

Right click on a system tray icon created from a Java AWT application 
Steps to Reproduce:
1. Launch the attached java program
2. Right click on the tray icon

Actual results:
No menu is displayed

Expected results:
Menu is displayed

Additional info:
This problem did not occur on Fedora 18

Comment 1 tom.jenkinson 2014-01-24 10:50:48 UTC
Created attachment 854889 [details]
A simple png

Comment 2 Fedora End Of Life 2015-05-29 10:39:32 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 14:43:43 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.